Author Topic: psetupin command  (Read 4334 times)

0 Members and 1 Guest are viewing this topic.

danny

  • Guest
psetupin command
« on: October 23, 2004, 09:03:23 PM »
I wrote a lisp to insert multiple page setups that I have created.  The lisp loads the setups into the drawing, but when I do a plot command, I don't see the setups in the page setup name pulldown list.  If I click on add, next to the pulldown list, I see the pagesetups.
Does anyone know why they don't show up in the pulldown list?
Mahalo in advace,

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
psetupin command
« Reply #1 on: October 24, 2004, 08:54:17 AM »
Maybe it's the way they are loaded. Have you tried this?

To delete then import:
^C^CDel_Pagesetups;^C^C.-PSETUPIN "PageSetups.dwg" "*"

To just import:
C^C.-PSETUPIN "PageSetups.dwg" "*"
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

danny

  • Guest
psetupin command
« Reply #2 on: October 25, 2004, 03:40:52 PM »
CAB,
That worked alot quicker than mine, but the setups still don't show up in the pulldown list.

M-dub

  • Guest
psetupin command
« Reply #3 on: October 25, 2004, 03:46:10 PM »
(As CAB posted)
Here's what I have in my Page Setup button...
Code: [Select]
^C^C(load"O:/Drawings/Menus-Blocks/LISP/Del_Pagesetups.lsp") Del_Pagesetups;^C^C.-PSETUPIN "O:/Drawings/SupportforCAD/AutoCAD-2004-Support/PageSetups.dwg" "*" PLOT;

danny

  • Guest
psetupin command
« Reply #4 on: October 25, 2004, 04:31:38 PM »
they work fine now.. thanks guys.

Andrea

  • Water Moccasin
  • Posts: 2372
psetupin command
« Reply #5 on: October 26, 2004, 03:05:56 PM »
Quote from: M-dub
(As CAB posted)
Here's what I have in my Page Setup button...
Code: [Select]
^C^C(load"O:/Drawings/Menus-Blocks/LISP/Del_Pagesetups.lsp") Del_Pagesetups;^C^C.-PSETUPIN "O:/Drawings/SupportforCAD/AutoCAD-2004-Support/PageSetups.dwg" "*" PLOT;


where do we get this Del_Pagesetups.lsp ??
Keep smile...

Andrea

  • Water Moccasin
  • Posts: 2372
psetupin command
« Reply #6 on: October 26, 2004, 03:07:43 PM »
Quote from: CAB
Maybe it's the way they are loaded. Have you tried this?

To delete then import:
^C^CDel_Pagesetups;^C^C.-PSETUPIN "PageSetups.dwg" "*"

To just import:
C^C.-PSETUPIN "PageSetups.dwg" "*"


AutoCAD can't recognise the .-PSETUPIN command...!!??
why ??

i have AutoCAD 2004
Keep smile...

M-dub

  • Guest
psetupin command
« Reply #7 on: October 26, 2004, 03:12:17 PM »
Quote from: Andrea
Quote from: M-dub
(As CAB posted)
Here's what I have in my Page Setup button...
Code: [Select]
^C^C(load"O:/Drawings/Menus-Blocks/LISP/Del_Pagesetups.lsp") Del_Pagesetups;^C^C.-PSETUPIN "O:/Drawings/SupportforCAD/AutoCAD-2004-Support/PageSetups.dwg" "*" PLOT;


where do we get this Del_Pagesetups.lsp ??


Have a look HERE

M-dub

  • Guest
psetupin command
« Reply #8 on: October 26, 2004, 03:13:03 PM »
Quote from: Andrea
Quote from: CAB
Maybe it's the way they are loaded. Have you tried this?

To delete then import:
^C^CDel_Pagesetups;^C^C.-PSETUPIN "PageSetups.dwg" "*"

To just import:
C^C.-PSETUPIN "PageSetups.dwg" "*"


AutoCAD can't recognise the .-PSETUPIN command...!!??
why ??

i have AutoCAD 2004


Try dropping the ".-"

danny

  • Guest
psetupin command
« Reply #9 on: October 26, 2004, 10:41:34 PM »
Ive started a lisp routine to load pagesetups
Code: [Select]
;loads pagesetups for 30x42 sheet size
(defun C: PSI3042()
    (setvar "filedia" 0)
    (command "-psetupin" "M:\_Cad Standards\New project 3042/page-setup.dwg" "*")
    (setvar "fildia" 1)
    (princ)
)

but i'm getting an error message.  I'm writting a lisp routnine because i need to set filedia to 0 in order to get the command line instead of a dialog when doing a -psetupin command.  Similar to the problem that Andrea stated in his thread (print preview).  My button will refer to the lisp command
Code: [Select]
ID__1 [_Button("PAGESETUP-30X42", "3042-16.bmp", "3042-24.bmp")]^C^C_psi3042

MikePerry

  • Guest
psetupin command
« Reply #10 on: October 27, 2004, 04:38:14 AM »
Hi

Take a look at the type and number of slashes being used within the Directory /  Folder path + take a look at the system variable Expert + there should be no need to set system variable FileDia = 0 -

Code: [Select]
;loads pagesetups for 30x42 sheet size
(defun C: PSI3042(/ Save_Expert)
  (setq Save_Expert (getvar "EXPERT"))
  (setvar "EXPERT" 2)
  (command "_.-PSETUPIN" "M:\\_Cad Standards\\New project 3042\\page-setup.dwg" "*")
  (setvar "EXPERT" Save_Expert)
  (princ)
)


Have a good one, Mike

danny

  • Guest
psetupin command
« Reply #11 on: October 27, 2004, 02:33:00 PM »
Mike,
A get a error message when loading this lisp
Code: [Select]
syntax error
; error: An error has occurred inside the *error* functionAutoCAD variable
setting rejected: "blipmode" nil

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
psetupin command
« Reply #12 on: October 27, 2004, 03:11:30 PM »
Remove the space after c:
(defun C:PSI3042(/ Save_Expert)
not
(defun C: PSI3042(/ Save_Expert)
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

danny

  • Guest
psetupin command
« Reply #13 on: October 27, 2004, 03:19:38 PM »
mahalo CAB,

MikePerry

  • Guest
psetupin command
« Reply #14 on: October 27, 2004, 06:52:11 PM »
Quote from: danny

A get a error message when loading this lisp

Hi

Oops, my bad....

Thanks CAB for cleaning-up after me.

Have a good one, Mike